petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatCoarsenSetGreedyOrdering

Sets the ordering of the vertices to use with a greedy coarsening method

### Synopsis

    #include "petscmatcoarsen.h"
    PetscErrorCode MatCoarsenSetGreedyOrdering(MatCoarsen coarser, const IS perm)

Logically Collective on Coarsen

### Input Parameters

| coarser | - the coarsen context
| perm | - vertex ordering of (greedy) algorithm

### Notes

The IS weights is freed by PETSc, so user has given this to us

### Keywords

Coarsen

### See Also

MatCoarsenCreate(), MatCoarsenSetType()

### Level

advanced

### Location

src/mat/coarsen/coarsen.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages